./multimedia/phonon-backend/gstreamer [GStreamer-based Phonon backend]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 4.9.0, Package name: phonon-gstreamer-4.9.0
Maintained by: KDE porting team
Master sites:
Flavors (export FLAVOR=xyz, setenv FLAVOR xyz):
  • qt5
  • debug
Description-icons
Common icons for both Qt4- and Qt5-based versions of GStreamer plugin
for Phonon, KDE multimedia layer.

Description-main
GStreamer plugin for Phonon, KDE multimedia layer.


Filesize: 74.18 KB
Version History (View Complete History)
  • (2018-10-20) Updated to version: phonon-gstreamer-4.9.0
  • (2015-07-05) Updated to version: phonon-gstreamer-4.8.2
  • (2014-11-02) Updated to version: phonon-gstreamer-4.8.0
  • (2014-07-11) Updated to version: phonon-gstreamer-4.7.1
  • (2013-05-08) Updated to version: phonon-gstreamer-4.6.3
  • (2013-04-24) Package added to openports.se, version phonon-gstreamer-4.6.2 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2018-10-19 14:53:27 by Rafael Sadowski | Files touched by this commit (23)
Log message:
Update Phonon multimedia layer for Qt4/KDE4/Qt5/KDE5
Updated to the following versions:
- phonon-4.10.1
- phonon-backend-gstreamer-4.9.0
- phonon-backend-vlc-0.10.1 (enable qt5 FLAVOR)
- phonon-qt5-4.10.1
- Many Makefile tweaks
- Switch HOMEPAGE to HTTPS
All consumers were built fine. Runtime tests with many KDE4/KDE5 applications.
Fixes my playback MKV/x264/AC3 issue with kde4/dragon.
   2018-10-19 14:53:27 by Rafael Sadowski | Files touched by this commit (23)
Log message:
Update Phonon multimedia layer for Qt4/KDE4/Qt5/KDE5
Updated to the following versions:
- phonon-4.10.1
- phonon-backend-gstreamer-4.9.0
- phonon-backend-vlc-0.10.1 (enable qt5 FLAVOR)
- phonon-qt5-4.10.1
- Many Makefile tweaks
- Switch HOMEPAGE to HTTPS
All consumers were built fine. Runtime tests with many KDE4/KDE5 applications.
Fixes my playback MKV/x264/AC3 issue with kde4/dragon.
   2018-10-19 14:53:27 by Rafael Sadowski | Files touched by this commit (23)
Log message:
Update Phonon multimedia layer for Qt4/KDE4/Qt5/KDE5
Updated to the following versions:
- phonon-4.10.1
- phonon-backend-gstreamer-4.9.0
- phonon-backend-vlc-0.10.1 (enable qt5 FLAVOR)
- phonon-qt5-4.10.1
- Many Makefile tweaks
- Switch HOMEPAGE to HTTPS
All consumers were built fine. Runtime tests with many KDE4/KDE5 applications.
Fixes my playback MKV/x264/AC3 issue with kde4/dragon.
   2018-10-19 14:53:27 by Rafael Sadowski | Files touched by this commit (23)
Log message:
Update Phonon multimedia layer for Qt4/KDE4/Qt5/KDE5
Updated to the following versions:
- phonon-4.10.1
- phonon-backend-gstreamer-4.9.0
- phonon-backend-vlc-0.10.1 (enable qt5 FLAVOR)
- phonon-qt5-4.10.1
- Many Makefile tweaks
- Switch HOMEPAGE to HTTPS
All consumers were built fine. Runtime tests with many KDE4/KDE5 applications.
Fixes my playback MKV/x264/AC3 issue with kde4/dragon.
   2018-06-29 16:16:37 by Marc Espie | Files touched by this commit (950)
Log message:
@tag gtk-update-icon-cache
   2018-06-29 16:16:37 by Marc Espie | Files touched by this commit (950)
Log message:
@tag gtk-update-icon-cache
   2017-07-27 03:55:45 by Stuart Henderson | Files touched by this commit (62)
Log message:
add COMPILER_LIBCXX to WANTLIB and bump
   2016-12-25 07:34:40 by Vadim Zhukov | Files touched by this commit (43)
Log message:
Adapt to new x11/qt5 layout, mostly REVISION bumps due to changed deps.
The devel/kf5 to be handled separately, please wait.
   2016-05-26 21:41:30 by Vadim Zhukov | Files touched by this commit (2)
Log message:
Fix complex package combinations for Phonon GStreamer backend, until
someone runs into real issues.
We produce two similar 100% interchangeable packages for now:
phonon-gstreamer-icons-4.8.2p0 and phonon-gstreamer-icons-4.8.2p0-qt5.
Not sure how to deal with it, but at least it builds and updates fine now.
   2016-05-26 21:41:30 by Vadim Zhukov | Files touched by this commit (2)
Log message:
Fix complex package combinations for Phonon GStreamer backend, until
someone runs into real issues.
We produce two similar 100% interchangeable packages for now:
phonon-gstreamer-icons-4.8.2p0 and phonon-gstreamer-icons-4.8.2p0-qt5.
Not sure how to deal with it, but at least it builds and updates fine now.
   2016-05-26 20:44:00 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Add Qt5 support for building GStreamer Phonon plugin.
VLC plugin doesn't support Qt5 support yet.
   2016-05-26 20:44:00 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Add Qt5 support for building GStreamer Phonon plugin.
VLC plugin doesn't support Qt5 support yet.
   2016-05-26 20:44:00 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Add Qt5 support for building GStreamer Phonon plugin.
VLC plugin doesn't support Qt5 support yet.
   2016-05-26 20:44:00 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Add Qt5 support for building GStreamer Phonon plugin.
VLC plugin doesn't support Qt5 support yet.
   2016-05-26 20:44:00 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Add Qt5 support for building GStreamer Phonon plugin.
VLC plugin doesn't support Qt5 support yet.
   2016-05-26 20:44:00 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Add Qt5 support for building GStreamer Phonon plugin.
VLC plugin doesn't support Qt5 support yet.
   2016-05-26 20:44:00 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Add Qt5 support for building GStreamer Phonon plugin.
VLC plugin doesn't support Qt5 support yet.
   2016-05-26 20:44:00 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Add Qt5 support for building GStreamer Phonon plugin.
VLC plugin doesn't support Qt5 support yet.
   2015-10-07 01:50:37 by Antoine Jacoutot | Files touched by this commit (1)
Log message:
ffmpeg -> libav
from nigel@
   2015-10-06 23:50:25 by Antoine Jacoutot | Files touched by this commit (16)
Log message:
Bring consistency in GStreamer dependencies:
- remove most dependencies on plugins-bad and plugins-ugly; there is no reason
on depend on these because they should only provide support for rare and/or
rarely used codecs
- for standard how-of-the-box support for most modern files, always depend on
plugins-good and plugins-ffmpeg|libav.
gstreamer1 parts from Brad, gstreamer-0.10 parts from me
   2015-07-04 19:21:34 by Vadim Zhukov | Files touched by this commit (1)
Log message:
Vorbis plugins now lives in gstreamer1-plugins-good, so add dependency on it.
Otherwise most Phonon (read: KDE) apps won't be able to play sounds,
including System Settings test widget.
   2015-07-04 18:47:56 by Vadim Zhukov | Files touched by this commit (1)
Log message:
No need for explicit MASTER_SITES here, too.
   2015-07-04 18:27:16 by Vadim Zhukov | Files touched by this commit (2)
Log message:
Very minor update of GStreamer backend for Phonon.
   2015-07-04 18:27:16 by Vadim Zhukov | Files touched by this commit (2)
Log message:
Very minor update of GStreamer backend for Phonon.
   2015-05-28 04:17:32 by Pascal Stumpf | Files touched by this commit (265)
Log message:
gcc4 bumps, reminded by aja@
   2015-03-27 02:13:04 by Antoine Jacoutot | Files touched by this commit (32)
Log message:
x11/gtk+2,-guic -> x11/gtk+3,-guic && bump
   2014-11-07 05:54:47 by Christian Weisgerber | Files touched by this commit (1)
Log message:
restore accidentally lost REVISION
   2014-11-03 23:55:04 by Vadim Zhukov | Files touched by this commit (3)
Log message:
Forgot to run update-patches, noticed by naddy@.
Went unnoticed in "dpb x11/kde4142" build because gstreamer backend doesn't
get picked up by dependency, since it's not default backend now.
   2014-11-03 23:55:04 by Vadim Zhukov | Files touched by this commit (3)
Log message:
Forgot to run update-patches, noticed by naddy@.
Went unnoticed in "dpb x11/kde4142" build because gstreamer backend doesn't
get picked up by dependency, since it's not default backend now.
   2014-11-03 23:55:04 by Vadim Zhukov | Files touched by this commit (3)
Log message:
Forgot to run update-patches, noticed by naddy@.
Went unnoticed in "dpb x11/kde4142" build because gstreamer backend doesn't
get picked up by dependency, since it's not default backend now.
   2014-11-02 01:39:30 by Vadim Zhukov | Files touched by this commit (1)
Log message:
multimedia/gstreamer1/plugins-base is a LIB_DEPENDS item, actually.
Spotted by ajacoutot@.
   2014-11-01 14:32:54 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Update Phonon to 4.8.1.
This also updates its backends, due to some API changes it's easier to this
in a single batch. The biggest news here are that phonon-gstreamer switches
to GStreamer 1.0, finally.
   2014-11-01 14:32:54 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Update Phonon to 4.8.1.
This also updates its backends, due to some API changes it's easier to this
in a single batch. The biggest news here are that phonon-gstreamer switches
to GStreamer 1.0, finally.
   2014-11-01 14:32:54 by Vadim Zhukov | Files touched by this commit (8)
Log message:
Update Phonon to 4.8.1.
This also updates its backends, due to some API changes it's easier to this
in a single batch. The biggest news here are that phonon-gstreamer switches
to GStreamer 1.0, finally.